#
# spec file for package libnids (Version 1.16)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libnet libpcap
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libnet libpcap libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libnids
Summary:      A Network Intrusion Detection System library
Version:      1.16
Release:      102
Copyright:    GPL
Group:        Development/Libraries
URL:          http://www.packetfactory.net/Projects/libnids/
Source:       libnids-%{version}.tar.bz2
Patch:        libnids-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Libnids is a library that provides a functionality of one of NIDS (Network
Intrusion Detection System) components, namely E-component. It means that
libnids code watches all local network traffic, cooks received datagrams a bit,
and provides convenient information on them to analyzing modules of NIDS.
Libnids performs:
a) assembly of TCP segments into TCP streams
b) IP defragmentation
c) TCP port scan detection
More technical info can be found in MISC file.  So, if you intend to develop a
custom NIDS, you don't have to build low-level network code. If you decide to
use libnids, you have got E-component ready - you can focus on implementing
other parts of NIDS.

Authors:
--------
    Noah Friedman <friedman@prep.ai.mit.edu>

SuSE series: d

%prep
%setup
%patch

%build
%{?suse_update_config:%{suse_update_config}}
autoconf
CFLAGS="$RPM_OPT_FLAGS"	./configure --prefix=/usr --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES CREDITS MISC README doc/ samples/
%doc %{_mandir}/man3/*
/usr/lib/libnids.a
/usr/include/nids.h

%changelog -n libnids
* Wed Feb 14 2001 - cihlar@suse.cz
- update to version 1.16
- added samples to documentation
- clean up spec file
* Thu Nov 16 2000 - grimmer@suse.de
- initial package (version 1.14)
